# Price Calculation

All selections in Fixed Exotics markets have **“price”: 0**. \
In order to fetch the price for the selection a player made, you are required to make a request to the Fixed Exotics price API endpoint.&#x20;

{% content-ref url="/pages/1qQEIIebgl2RiPxhObg0" %}
[Fixed Exotics API](/odds88-client-api/odds88-api-endpoints/fixed-exotics-api.md)
{% endcontent-ref %}

Request body must contain **eventId**, **marketId** and **racingSelection** like in the following example:

```javascript
{
  "eventId": 4183647,
  "marketId": 22369909,
  "racingSelection": "EXACTA 1/8"
}
```

**racingSelection** should contain the name of the market (**EXACTA**, **QUINELLA** or **TRIFECTA**), followed by the selection itself. In Quinella, selections are separated by dot **(.)** and the order of selections is not important ( **QUINELLA 1.8 = QUINELLA 8.1** ). In exacta and trifecta, selections are separated by **(/)** and the order of selections is important ( **EXACTA 1/8 != EXACTA 8/1** ), different orders will result in different prices for these markets.

Response for this request is the price for the specified selection:

```javascript
{
  "rejectReason": 0,
  "message": "Checks passed",
  "odds": 51
}
```

Possible rejection reasons can be checked via the corresponding dictionary endpoint.

{% content-ref url="/pages/0BwLugNGCPLWrFx90Siq" %}
[Dictionary API](/odds88-client-api/odds88-api-endpoints/dictionary-api.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.odds88.io/integration-process/recommended-integration-flow/optional-features/fixed-exotics-integration/price-calculation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
